package com.wechat.model.responseDto;

import java.util.List;

import com.wechat.global.base.dao.PagingResult;
import com.wechat.model.dbEntity.MdeEducationExperience;
import com.wechat.model.dbEntity.MdeJobAdvertised;
import com.wechat.model.dbEntity.MdeUser;
import com.wechat.model.dto.AdImageDto;
import com.wechat.model.dto.AvailableAndUsedCountDto;
import com.wechat.model.dto.TrendsDto;
import com.wechat.model.dto.UserAndIsFriendDto;
import com.wechat.model.dto.WorkExperienceBaseDto;

/**
* @author jadyn
* @version 创建时间：2020年5月21日 上午11:21:19
*  个人主页返回类型封装
*/
public class UserHomePageResp<T> {
	
	private List<AdImageDto> topImage;
	
    private List<AdImageDto> rightAD;
    
    private UserAndIsFriendDto userInfo;

    private PagingResult<TrendsDto> myTrends;
    
    private List<WorkExperienceBaseDto> workExpriences;
    
    private List<MdeEducationExperience> eduExperiences;
    
    private List<T> publishingJobs;
    
    private AvailableAndUsedCountDto recommendNums;
    
    private List<MdeJobAdvertised> recommentJob;
    
    private List<MdeUser> recommentPeople;

	public List<AdImageDto> getTopImage() {
		return topImage;
	}

	public void setTopImage(List<AdImageDto> topImage) {
		this.topImage = topImage;
	}

	public List<AdImageDto> getRightAD() {
		return rightAD;
	}

	public void setRightAD(List<AdImageDto> rightAD) {
		this.rightAD = rightAD;
	}

	public UserAndIsFriendDto getUserInfo() {
		return userInfo;
	}

	public void setUserInfo(UserAndIsFriendDto userInfo) {
		this.userInfo = userInfo;
	}

	public PagingResult<TrendsDto> getMyTrends() {
		return myTrends;
	}

	public void setMyTrends(PagingResult<TrendsDto> myTrends) {
		this.myTrends = myTrends;
	}

	public List<WorkExperienceBaseDto> getWorkExpriences() {
		return workExpriences;
	}

	public void setWorkExpriences(List<WorkExperienceBaseDto> workExpriences) {
		this.workExpriences = workExpriences;
	}

	public List<MdeEducationExperience> getEduExperiences() {
		return eduExperiences;
	}

	public void setEduExperiences(List<MdeEducationExperience> eduExperiences) {
		this.eduExperiences = eduExperiences;
	}

	public List<T> getPublishingJobs() {
		return publishingJobs;
	}

	public void setPublishingJobs(List<T> publishingJobs) {
		this.publishingJobs = publishingJobs;
	}

	public AvailableAndUsedCountDto getRecommendNums() {
		return recommendNums;
	}

	public void setRecommendNums(AvailableAndUsedCountDto recommendNums) {
		this.recommendNums = recommendNums;
	}

	public List<MdeJobAdvertised> getRecommentJob() {
		return recommentJob;
	}

	public void setRecommentJob(List<MdeJobAdvertised> recommentJob) {
		this.recommentJob = recommentJob;
	}

	public List<MdeUser> getRecommentPeople() {
		return recommentPeople;
	}

	public void setRecommentPeople(List<MdeUser> recommentPeople) {
		this.recommentPeople = recommentPeople;
	}


}
